#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# WebGLBlendModeManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:5`
Module: PIXI

## Constructor

### `WebGLBlendModeManager`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods
- Properties

## Item Index

### Methods

- destroy
- setBlendMode
- setContext

### Properties

- currentBlendMode

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:50`

Destroys this object.

### `setBlendMode`

(

- `blendMode`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:32`

Sets-up the given blendMode from WebGL's point of view.

#### Parameters:

- `blendMode` Number

  the blendMode, should be a Pixi const, such as PIXI.BlendModes.ADD

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:21`

Sets the WebGL Context.

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

## Properties

### `currentBlendMode`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLBlendModeManager.js:12`